unit Sample3_main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, _MnOglCanvas, ExtCtrls, _MNdevice, _MNComTypes, _MNOglTools,
  _MNOglExTools, StdCtrls;

type
  TfrmOgl = class(TForm)
    MNOglControl1: TMNOglControl;
    StatusBar1: TStatusBar;
    Splitter1: TSplitter;
    Panel1: TPanel;
    MnOglCanvas1: TMnOglCanvas;
    MNOglScene1: TMNOglScene;
    MNOglBox1: TMNOglBox;
    MNOglLight1: TMNOglLight;
    MNOglNav1: TMNOglNav;
    Memo1: TMemo;
    MNOglScene2: TMNOglScene;
    MNOglSphere1: TMNOglSphere;
    MNOglSphere2: TMNOglSphere;
    MNOglSphere3: TMNOglSphere;
    MNOglSphere4: TMNOglSphere;
    MNOglScene3: TMNOglScene;
    MnOglSequencer1: TMnOglSequencer;
    MnOglTimer1: TMnOglTimer;
    MnOglTimer2: TMnOglTimer;
    procedure MnOglSequencer1Timer(Sender: TObject);
    procedure MnOglTimer1timer(Sender: TObject);
    procedure MnOglTimer2timer(Sender: TObject);
    procedure MNOglControl1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOgl: TfrmOgl;

implementation
uses
  _MNxyz;
{$R *.DFM}

procedure TfrmOgl.MnOglSequencer1Timer(Sender: TObject);
begin
  // MUST be assigned - but can be empty Delphi 5.0 internals
end;

procedure TfrmOgl.MnOglTimer1timer(Sender: TObject);
VAR
  xyz : TXYZ;
begin
  MNOglCanvas1.Changing := TRUE;
  xyz := MNOglScene2.Translation;
  xyz.x := xyz.x + 1;
  If xyz.x > 8 then
    xyz.x:= -8;
  MNOglScene2.Translation := xyz;
  MNOglCanvas1.Changing := FALSE;
end;

procedure TfrmOgl.MnOglTimer2timer(Sender: TObject);
VAR
  xyz : TXYZ;
begin
  MNOglCanvas1.Changing := TRUE;
  xyz := MNOglScene3.Translation;
  xyz.x := xyz.x - 1;
  If xyz.x < -8 then
    xyz.x:= 8;
  MNOglScene3.Translation := xyz;
  MNOglCanvas1.Changing := FALSE;

end;

procedure TfrmOgl.MNOglControl1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
VAR
  HI : THitItem;
begin
  // try to hit a shape !
  If MNOglCanvas1.Select (x,y) then begin
    If MNOglCanvas1.hits.count> 0 then BEGIN
      Hi:=THitItem (MNOglCanvas1.hits[0]);
      If HI.Tag <> 0 then
        StatusBar1.SimpleText := TCustomShape(HI.Tag).Name;
      messagebeep(0);
    end;
  end
  else
    StatusBar1.SimpleText := 'sorry, no hit';
end;

end.
